/** File cairo_pdf_drv.h
 */

int cr_pdf_initgraphics(void);
int cr_png_initgraphics(void);
int cr_svg_initgraphics(void);

void cr_drawpixel	(VPoint vp);
void cr_drawpolyline	(VPoint *vps, int n, int mode);
void cr_fillpolygon	(VPoint *vps, int nc);
void cr_drawarc	(VPoint vp1, VPoint vp2, int a1, int a2);
void cr_fillarc	(VPoint vp1, VPoint vp2, int a1, int a2, int mode);
void cr_putpixmap	(VPoint vp, int width, int height, 
			 char *databits, int pixmap_bpp, int bitmap_pad, int pixmap_type);
void cr_setfrgbcolor   (double fred ,double fgreen ,double fblue);
void cr_puttext	(VPoint vp, char *s, int len, int font,
			 TextMatrix *tm, int underline, int overline, int kerning);

void cr_leavegraphics(void);
void cr_png_leavegraphics(void);

int cr_op_parser(char *opstring);
